1. Scopes
Deepgram
  • Projects
    • Analyze Text
      POST
    • Get Projects
      GET
    • Update Project
      PATCH
    • Delete Project
      DELETE
  • Keys
    • Get Keys
      GET
    • Get Key
      GET
    • Create Key
      POST
    • Delete Key
      DELETE
  • Members
    • Get Members
      GET
    • Remove Member
      DELETE
  • Scopes
    • Get Member Scopes
      GET
    • Update Scope
      PUT
  • invitations
    • Get Invites
      GET
    • Send Invite
      POST
    • Delete Invite
      DELETE
    • Leave Project
      DELETE
  • Usage
    • Get All Requests
      GET
    • Get Request
      GET
    • Summarize Usage
      GET
    • Get Fields
      GET
  • Billing
    • Get Balances
      GET
    • Get Balance
      GET
  • Transcribe & Analyze - Local file
    POST
  • Transcribe & Analyze - Remote file
    POST
  • Transform Text-to-Speech - REST
    POST
  1. Scopes

Update Scope

Develop Env
https://dev.your-api-server.com
Develop Env
https://dev.your-api-server.com
PUT
/v1/projects/{project_id}/members/{member_id}/scopes
Updates the specified project scopes assigned to the specified member.
Read more about scopes in the article Working with Roles and Scopes.
If the specified member has the scope member or the scope being added is member, the requesting account must have the scope members:write:scopes. If the specified member has the scope admin or the scope being added is admin, the requesting account must have the scope admins:write:scopes. If the specified member has the scope owner or the scope being added is owner, the requesting account must have the scope owners:write:scopes.
If the scope being added is member, admin, or owner, it will replace the existing member, admin, or owner scope of the specified member unless the specified member is the only member with the owner scope. In this case, the request will fail.
If the scope being added is not member, admin, or owner, then the requesting account must also have the scope that it is trying to add to the specified member. For example, if the requesting account tries to add the project:write:settings project scope to a specified member, but the requesting account itself does not have the scope project:write:settings, then the request will fail.
Required account scope(s): project:write.

Request

Path Params

Header Params

Responses

🟢200Success
application/json
Body

🟠403Forbidden
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT 'https://dev.your-api-server.com/v1/projects//members//scopes' \
--header 'content-type: application/json' \
--data-raw ''
Response Response Example
200 - Success
{
  "message": "string"
}
Modified at 2024-07-29 06:16:53
Previous
Get Member Scopes
Next
Get Invites
Built with